libchamplain-0.12.20

Introduction to libchamplain

The libchamplain package contains a Clutter-based widget that is used to display rich and interactive maps.

本パッケージは LFS-9.1 において正しくビルドでき動作することが確認されています。

Package Information

libchamplain Dependencies

Required

Clutter-1.26.4, clutter-gtk-1.8.4, GTK+-3.24.14, libsoup-2.68.4, and SQLite-3.31.1

Recommended

Optional

GTK-Doc-1.32 and libmemphis

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libchamplain

Installation of libchamplain

Install libchamplain by running the following commands:

mkdir build &&
cd    build &&

meson --prefix=/usr .. &&
ninja

This package does not come with a test suite.

Now, as the root user:

ninja install

Contents

Installed Programs: None
Installed Libraries: libchamplain-0.12.so and libchamplain-gtk-0.12.so
Installed Directories: /usr/include/champlain-0.12 and /usr/share/gtk-doc/html/champlain-0.12

Short Descriptions

libchamplain-0.12.so

contains the libchamplain API functions.

libchamplain-gtk-0.12.so

contains the libchamplain GTK+ bindings.

最終更新日: 2020-02-26 13:51:27 +0900